CAN_RXF1C_Type Union Reference

## Data Fields

struct {
uint32_t F1SA:16
uint32_t F1S:7
uint32_t __pad0__:1
uint32_t F1WM:7
uint32_t F1OM:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1351 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_RXF1C_Type::__pad0__

bit: 23 Reserved

Definition at line 1355 of file can.h.

## bit

struct { ... } CAN_RXF1C_Type::bit

Structure used for bit access

## F1OM

uint32_t CAN_RXF1C_Type::F1OM

bit: 31 FIFO 1 Operation Mode

Definition at line 1357 of file can.h.

## F1S

uint32_t CAN_RXF1C_Type::F1S

bit: 16..22 Rx FIFO 1 Size

Definition at line 1354 of file can.h.

## F1SA

uint32_t CAN_RXF1C_Type::F1SA

bit: 0..15 Rx FIFO 1 Start Address

Definition at line 1353 of file can.h.

## F1WM

uint32_t CAN_RXF1C_Type::F1WM

bit: 24..30 Rx FIFO 1 Watermark

Definition at line 1356 of file can.h.

## reg

uint32_t CAN_RXF1C_Type::reg

Type used for register access

Definition at line 1359 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h